Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_VersionDescription

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_PublicObject
                  oracle.ifs.server.S_TiePublicObject
                      oracle.ifs.server.S_VersionDescription

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TieVersionDescription

    public class S_VersionDescription

extends S_TiePublicObject

The `S_VersionDescription` class is server side representation of VersionDescription.

See Also:
  `S_LibraryService`, `S_LibrarySession`
(Published)

Field Summary
`protected static java.lang.String` | `LABEL_ATTRIBUTE`
`protected static java.lang.String` | `NUMERIC_LABEL_ATTRIBUTE`
`protected static java.lang.String` | `PUBLIC_OBJECT_ATTRIBUTE`
`protected static java.lang.String` | `REVISION_COMMENT_ATTRIBUTE`
`protected static java.lang.String` | `VERSION_NUMBER_ATTRIBUTE`
`protected static java.lang.String` | `VERSION_SERIES_ATTRIBUTE`

Fields inherited from class oracle.ifs.server.S_PublicObject
`ACL_ATTRIBUTE, CLASS_NAME, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICY_ENUM_EXTENDEDFREE_IGNORE_OWNERSHIP, POLICY_ENUM_EXTENDEDFREE_INVALID_VALUE, POLICY_ENUM_EXTENDEDFREE_REQUIRE_ADMIN, POLICYBUNDLE_ATTRIBUTE, RESOLVED_OBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_VersionDescription(S_LibrarySession session, java.lang.Long classId)` Construct a S_VersionDescription object.
`protected` | `S_VersionDescription(S_LibrarySession session, S_LibraryObjectData data)` Construct a S_VersionDescription object.

Method Summary
`protected void` | `cascadeDelete(OperationState opState, S_LibraryObjectDefinition def)` Cascade operations to be performed before deleting an object.
`protected void` | `cascadeFree(OperationState opState, S_LibraryObjectDefinition def)` Cascade operations to be performed before freeing an object.
`protected void` | `cascadeUndelete(OperationState opState, S_LibraryObjectDefinition def)` Cascade operations to be performed before undeleting an object.
`protected static S_VersionDescription[]` | `constructVersionDescriptionArray(S_LibrarySession sess, java.lang.Long[] ids)` Construct a VersionDescription array from an array of object IDs.
`S_LibraryObject` | `copy(OperationState opState, S_LibraryObjectDefinition def)` Make a copy of the target object.
`protected void` | `copyFamilyAttribute(S_LibraryObjectDefinition sourceDef, S_LibraryObjectDefinition targetDef)` Copies family attribute from a sourec definition to the destination definition.
`protected void` | `createBranchRelationship(S_VersionSeries parentVS, S_VersionSeries childVS, S_VersionDescription sourceVD, S_VersionDescription targetVD)` Javadoc Fixme
`protected void` | `createPublicObject(OperationState opState, S_LibraryObjectDefinition vddef)` Creates a Public Object to be associated with this version description.
`protected void` | `createVersionSeries(OperationState opState, S_LibraryObjectDefinition vddef)` Creates version series to hold a version description.
`protected void` | `deriveDefinition(S_LibraryObjectDefinition def)` Add or modify the S_LibraryObjectDefinition for this class.
`protected S_PublicObject` | `determineResolvedObject()` Return the object this resolves to.
`protected void` | `extendedPostUpdate(OperationState opState, S_LibraryObjectDefinition def)` Update any system attributes appropriate for updating this version description
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition def)` Update any system attributes appropriate for creating this version description
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition def)` Update any system attributes appropriate for updating this version description
`protected S_Family` | `getFamily()` Returns the S_Family of this object.
`protected S_PublicObject` | `getPublicObject()` Returns the public object associated with this object.
`protected long` | `getSortSequence()` Returns the sort sequnce of this object in the version series.
`protected S_VersionSeries` | `getVersionSeries()` Returns the version series for this objects.
`protected void` | `handleCascade(OperationState opState, S_LibraryObject source, int cascadeType, S_LibraryObjectDefinition sdef, java.lang.Object customArg)` Handle a cascaded operation initiated by (usually) another object.
`protected void` | `initializeVersionSequence(S_LibraryObjectDefinition vddef, S_LibraryObjectDefinition vsdef)` Initializes the version sequence.
`protected void` | `integrateIntoVersionSeries(S_VersionDescription targetvd)` Javadoc Fixme
`protected void` | `integrateIntoVersionSeries(S_VersionSeries parentVS)` Javadoc Fixme
`protected boolean` | `isOwnerBeingChanged(S_LibraryObjectDefinition vddef)` Returns true if the special option to change ownership to that of PO is set in the definition.
`protected S_VersionDescription` | `newBranchedVersionSeries(S_LibraryObjectDefinition vddef)` Javadoc Fixme
`protected void` | `newBranchRelationship(S_VersionDescription targetVD)` Javadoc Fixme
`protected void` | `newIntegrateRelationship(S_VersionDescription targetVD)` Javadoc Fixme
`protected void` | `resolveOwnership(S_LibraryObjectDefinition def)` Modifies ownership of the Version Description based on SYSTEOPTION_CHANGE_OWNERSHIP.
`protected void` | `resolvePublicObject(OperationState opState, S_LibraryObjectDefinition vddef)` Sets the Resolved PublicObject attribute of this object.
`protected void` | `resolveVersionSeries(OperationState opState, S_LibraryObjectDefinition vddef)` Resolves the Version series for this object.
`protected S_LibraryObjectDefinition` | `resolveVersionSeriesDefinition(S_LibraryObjectDefinition vddef)` Returns a VersionSeries definition.
`protected void` | `resolveVersionSeriesOwnership(S_LibraryObjectDefinition vddef, S_LibraryObjectDefinition vsdef)` Setup owner attribute of Version series definition based on the special option set in version description definition.
`protected static S_VersionDescription[]` | `vectorToSVersionDescriptionArray(S_LibrarySession sess, java.util.Vector vector)` Constructs an array of version descriptions from a vector of version descriptions.

Methods inherited from class oracle.ifs.server.S_PublicObject
`addCategory, addRelationship, addRelationship, canUseContentQuota, cascadeCopy, checkAccess, constructPublicObjectArray, createCategories, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, delete, delete, DYNReplaceCreator, DYNReplaceDeletor, DYNReplaceModifier, extendedPostDelete, extendedPostFree, extendedPostInsert, extendedPostUndelete, extendedPreCopy, extendedPreDelete, extendedPreFree, extendedPreUndelete, forceSecuredObjectsToClear, freeIfNoFolderReferences, freeNonsharedAcl, freeNonsharedLockObject, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllLeftRelationships, getAllRightRelationships, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAuditEventFolderContext, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getDefaultAclFromUserProfile, getFlags, getLeftRelationships, getLeftwardRelationshipDatas, getLeftwardRelationshipDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinkIds, getLinks, getLockedForSessionId, getLockObject, getOwner, getPrimaryParentFolder, getPropagatedSecurityAttributeNames, getPropagatedSecurityColumnNames, getReferencingFolderIds, getReferencingFolders, getResolvedObject, getRightRelationships, getRightwardRelationshipDatas, getRightwardRelationshipDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSpecificLeftRelationships, getSpecificRightRelationships, getVersionDescriptions, handleExtendedFreePolicy, hasNameAttribute, invokeLockingPolicy, isAuditCertificateSecured, isDeleted, isLocked, isLockedForSession, isLockedForSessionByCurrentSession, isLockObjectEnabled, isLockObjectEnabled, isOwner, isVersionable, postCreateAddToFolder, postDelete, postSecurityChangeAuditEvent, postUndelete, preDelete, preUndelete, propagateFreeIfNoFolderReferences, propagateNameChanges, propagateSecurityChanges, propogateSettingsToProxyService, putProperty, reassociateLinks, relationshipExists, removeRelationship, removeRelationship, removeRowFromAclProxyIfSecured, resolveACLSetting, resolveResolvedObject, resolveSecuredBySettings, signalLeftRelationshipFreed, signalRightRelationshipFreed, undelete, undelete, unlockForSession, updateFamily, updateLastModifiedInfo, updatePrimaryParentFolder, vectorToSPublicObjectArray, verifyCanAddRelationship, verifyCanCreate, verifyCanFree, verifyCanLock, verifyCanRemoveRelationship, verifyCanSetPolicy, verifyCanUnlock, verifyCanUpdate, verifyCanUseContentQuota, verifyGrantAccess, verifyObjectNotLocked, verifyObjectNotLocked, verifyPublicObjectPermission`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copyVectorToLibraryObjectArray, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, insertReferenceAttributes, insertRow, insertRows, invalidateState, invokeOperation, invokePolicyMethod, isBroadcastCreateEventEnabled, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### VERSION_SERIES_ATTRIBUTE

    protected static final java.lang.String VERSION_SERIES_ATTRIBUTE

See Also:
  Constant Field Values
(Unpublished)

### PUBLIC_OBJECT_ATTRIBUTE

    protected static final java.lang.String PUBLIC_OBJECT_ATTRIBUTE

See Also:
  Constant Field Values
(Unpublished)

### VERSION_NUMBER_ATTRIBUTE

    protected static final java.lang.String VERSION_NUMBER_ATTRIBUTE

See Also:
  Constant Field Values
(Unpublished)

### LABEL_ATTRIBUTE

    protected static final java.lang.String LABEL_ATTRIBUTE

See Also:
  Constant Field Values
(Unpublished)

### NUMERIC_LABEL_ATTRIBUTE

    protected static final java.lang.String NUMERIC_LABEL_ATTRIBUTE

See Also:
  Constant Field Values
(Unpublished)

### REVISION_COMMENT_ATTRIBUTE

    protected static final java.lang.String REVISION_COMMENT_ATTRIBUTE

See Also:
  Constant Field Values
(Unpublished)

Constructor Detail

### S_VersionDescription

    protected S_VersionDescription(S_LibrarySession session,
                                   S_LibraryObjectData data)
                            throws IfsException

  Construct a S_VersionDescription object. This is the standard variant.

  Parameters:
    `session` - current LibrarySession
    `data` - Data component
  Throws:
    `IfsException`
  (Unpublished)

### S_VersionDescription

    protected S_VersionDescription(S_LibrarySession session,
                                   java.lang.Long classId)
                            throws IfsException

  Construct a S_VersionDescription object. This variant is used for objects taht have not been created in the database yet.

  Parameters:
    `session` - current LibrarySession
  Throws:
    `IfsException`
  (Unpublished)

Method Detail

### deriveDefinition

    protected void deriveDefinition(S_LibraryObjectDefinition def)
                             throws IfsException

  Description copied from class: `S_VersionDescription`
  Add or modify the S_LibraryObjectDefinition for this class. This this called by getDefinition() on S_LibraryObject. This must call super.deriveDefinition() before applying any class-specific changes to the S_LibraryObjectDefinition object.

  Overrides:
    `deriveDefinition` in class `S_PublicObject`
  Parameters:
    `def` - the S_LibraryObjectDefinition that contains the definition of the target object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### copy

    public S_LibraryObject copy(OperationState opState,
                                S_LibraryObjectDefinition def)
                         throws IfsException

  Description copied from class: `S_VersionDescription`
  Make a copy of the target object. VersionDescription overrides this and currently only copies the object that the VersionDescription resolves to. The object returned is the copy of the resolved object. This will become more flexible in the future.

  Overrides:
    `copy` in class `S_LibraryObject`
  Parameters:
    `opState` - the OperationState
    `def` - any modifications to make to the copied object
  Returns:
    the copied object.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### handleCascade

    protected void handleCascade(OperationState opState,
                                 S_LibraryObject source,
                                 int cascadeType,
                                 S_LibraryObjectDefinition sdef,
                                 java.lang.Object customArg)
                          throws IfsException

  Description copied from class: `S_VersionDescription`
  Handle a cascaded operation initiated by (usually) another object. This is overridden by classes to add custom handlers. It is ok if no class handles the cascade (that is implied to mean "no action needed").

  Overrides:
    `handleCascade` in class `S_PublicObject`
  Parameters:
    `opState` - originating operation state
    `source` - object initiating this cascade request (not necessarily the original object)
    `cascadeType` - type of cascade request
    `sdef` - original Definition object
    `customArg` - any custom parameter.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### cascadeFree

    protected void cascadeFree(OperationState opState,
                               S_LibraryObjectDefinition def)
                        throws IfsException

  Description copied from class: `S_VersionDescription`
  Cascade operations to be performed before freeing an object. This is overridden by classes that need to perform operations before successfully freeing the rows for the freed instance.

  Overrides:
    `cascadeFree` in class `S_PublicObject`
  Parameters:
    `opState` - the operation state
    `def` - the definition object
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### cascadeDelete

    protected void cascadeDelete(OperationState opState,
                                 S_LibraryObjectDefinition def)
                          throws IfsException

  Description copied from class: `S_VersionDescription`
  Cascade operations to be performed before deleting an object. This is overridden by classes that need to perform operations before successfully deleting the rows for the freed instance.

  Overrides:
    `cascadeDelete` in class `S_PublicObject`
  Parameters:
    `opState` - the operation state
    `def` - the definition object
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### cascadeUndelete

    protected void cascadeUndelete(OperationState opState,
                                   S_LibraryObjectDefinition def)
                            throws IfsException

  Description copied from class: `S_VersionDescription`
  Cascade operations to be performed before undeleting an object. This is overridden by classes that need to perform operations before successfully undeleting the rows for the freed instance.

  Overrides:
    `cascadeUndelete` in class `S_PublicObject`
  Parameters:
    `opState` - the operation state
    `def` - the definition object
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `S_VersionDescription`
  Update any system attributes appropriate for creating this version description

  Overrides:
    `extendedPreInsert` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.
  (Published)

### resolveOwnership

    protected void resolveOwnership(S_LibraryObjectDefinition def)
                             throws IfsException

  Description copied from class: `S_VersionDescription`
  Modifies ownership of the Version Description based on SYSTEOPTION_CHANGE_OWNERSHIP.

  Parameters:
    `def` - definition for version description
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `S_VersionDescription`
  Update any system attributes appropriate for updating this version description

  Overrides:
    `extendedPreUpdate` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPostUpdate

    protected void extendedPostUpdate(OperationState opState,
                                      S_LibraryObjectDefinition def)
                               throws IfsException

  Description copied from class: `S_VersionDescription`
  Update any system attributes appropriate for updating this version description

  Overrides:
    `extendedPostUpdate` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### determineResolvedObject

    protected S_PublicObject determineResolvedObject()
                                              throws IfsException

  Description copied from class: `S_VersionDescription`
  Return the object this resolves to.

  Overrides:
    `determineResolvedObject` in class `S_PublicObject`
  Returns:
    the object we resolve to
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### resolveVersionSeries

    protected void resolveVersionSeries(OperationState opState,
                                        S_LibraryObjectDefinition vddef)
                                 throws IfsException

  Description copied from class: `S_VersionDescription`
  Resolves the Version series for this object. Creates a new one if necessary.

  Parameters:
    `opState` - the operation state
    `vddef` - definition of version description
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### createVersionSeries

    protected void createVersionSeries(OperationState opState,
                                       S_LibraryObjectDefinition vddef)
                                throws IfsException

  Description copied from class: `S_VersionDescription`
  Creates version series to hold a version description.

  Parameters:
    `opState` - the operation state
    `vddef` - definition of version description
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### resolveVersionSeriesOwnership

    protected void resolveVersionSeriesOwnership(S_LibraryObjectDefinition vddef,
                                                 S_LibraryObjectDefinition vsdef)
                                          throws IfsException

  Description copied from class: `S_VersionDescription`
  Setup owner attribute of Version series definition based on the special option set in version description definition. This is create time only. does not affect updates.

  Parameters:
    `vddef` - version description definition
    `vsdef` - version series definition
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isOwnerBeingChanged

    protected boolean isOwnerBeingChanged(S_LibraryObjectDefinition vddef)
                                   throws IfsException

  Description copied from class: `S_VersionDescription`
  Returns true if the special option to change ownership to that of PO is set in the definition.

  Parameters:
    `vddef` - version description definition
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### resolveVersionSeriesDefinition

    protected S_LibraryObjectDefinition resolveVersionSeriesDefinition(S_LibraryObjectDefinition vddef)
                                                                throws IfsException

  Description copied from class: `S_VersionDescription`
  Returns a VersionSeries definition. Creates one if necessary.

  Parameters:
    `vddef` - version description definition
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### initializeVersionSequence

    protected void initializeVersionSequence(S_LibraryObjectDefinition vddef,
                                             S_LibraryObjectDefinition vsdef)
                                      throws IfsException

  Description copied from class: `S_VersionDescription`
  Initializes the version sequence.

  Parameters:
    `vddef` - definition to the version description
    `vsdef` - definition to the version series
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### resolvePublicObject

    protected void resolvePublicObject(OperationState opState,
                                       S_LibraryObjectDefinition vddef)
                                throws IfsException

  Description copied from class: `S_VersionDescription`
  Sets the Resolved PublicObject attribute of this object.

  Parameters:
    `opState` - the operation state
    `vddef` - version series definition
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### createPublicObject

    protected void createPublicObject(OperationState opState,
                                      S_LibraryObjectDefinition vddef)
                               throws IfsException

  Description copied from class: `S_VersionDescription`
  Creates a Public Object to be associated with this version description.

  Parameters:
    `opState` - the operation state
    `vddef` - version description definition
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### copyFamilyAttribute

    protected void copyFamilyAttribute(S_LibraryObjectDefinition sourceDef,
                                       S_LibraryObjectDefinition targetDef)
                                throws IfsException

  Description copied from class: `S_VersionDescription`
  Copies family attribute from a sourec definition to the destination definition.

  Parameters:
    `sourceDef` - Source definition
    `targetDef` - Destination definition
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getFamily

    protected S_Family getFamily()
                          throws IfsException

  Description copied from class: `S_VersionDescription`
  Returns the S_Family of this object.

  Overrides:
    `getFamily` in class `S_PublicObject`
  Returns:
    family of this object
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getVersionSeries

    protected S_VersionSeries getVersionSeries()
                                        throws IfsException

  Description copied from class: `S_VersionDescription`
  Returns the version series for this objects.

  Returns:
    the version series of this object
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getPublicObject

    protected S_PublicObject getPublicObject()
                                      throws IfsException

  Description copied from class: `S_VersionDescription`
  Returns the public object associated with this object.

  Returns:
    public object corresponding to this object
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getSortSequence

    protected long getSortSequence()
                            throws IfsException

  Description copied from class: `S_VersionDescription`
  Returns the sort sequnce of this object in the version series.

  Returns:
    sort sequence of this object
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### newBranchedVersionSeries

    protected S_VersionDescription newBranchedVersionSeries(S_LibraryObjectDefinition vddef)
                                                     throws IfsException

  Description copied from class: `S_VersionDescription`
  Javadoc Fixme

  Throws:
    `IfsException`
  (Unpublished)

### integrateIntoVersionSeries

    protected void integrateIntoVersionSeries(S_VersionSeries parentVS)
                                       throws IfsException

  Description copied from class: `S_VersionDescription`
  Javadoc Fixme

  Throws:
    `IfsException`
  (Unpublished)

### integrateIntoVersionSeries

    protected void integrateIntoVersionSeries(S_VersionDescription targetvd)
                                       throws IfsException

  Description copied from class: `S_VersionDescription`
  Javadoc Fixme

  Throws:
    `IfsException`
  (Unpublished)

### newBranchRelationship

    protected void newBranchRelationship(S_VersionDescription targetVD)
                                  throws IfsException

  Description copied from class: `S_VersionDescription`
  Javadoc Fixme

  Throws:
    `IfsException`
  (Unpublished)

### newIntegrateRelationship

    protected void newIntegrateRelationship(S_VersionDescription targetVD)
                                     throws IfsException

  Description copied from class: `S_VersionDescription`
  Javadoc Fixme

  Throws:
    `IfsException`
  (Unpublished)

### createBranchRelationship

    protected void createBranchRelationship(S_VersionSeries parentVS,
                                            S_VersionSeries childVS,
                                            S_VersionDescription sourceVD,
                                            S_VersionDescription targetVD)
                                     throws IfsException

  Description copied from class: `S_VersionDescription`
  Javadoc Fixme

  Throws:
    `IfsException`
  (Unpublished)

### vectorToSVersionDescriptionArray

    protected static S_VersionDescription[] vectorToSVersionDescriptionArray(S_LibrarySession sess,
                                                                             java.util.Vector vector)
                                                                      throws IfsException

  Description copied from class: `S_VersionDescription`
  Constructs an array of version descriptions from a vector of version descriptions.

  Parameters:
    `sess` - handle to the session
    `vector` - vector of version descriptions
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructVersionDescriptionArray

    protected static S_VersionDescription[] constructVersionDescriptionArray(S_LibrarySession sess,
                                                                             java.lang.Long[] ids)
                                                                      throws IfsException

  Description copied from class: `S_VersionDescription`
  Construct a VersionDescription array from an array of object IDs.

  Parameters:
    `sess` - the requesting session
    `ids` - the array of object IDs
  Returns:
    the array of VersionDescriptions
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD